Public Member Functions | Public Attributes | List of all members
libwps_OLE::DirInfo Class Reference

## Public Member Functions
| DirInfo ()
| constructor More...
bool | hasCLSId () const
| returns true if the clsid field is filed More...

## Public Attributes
unsigned | m_time [4]
| four uint32_t : the first two used for creation, the last for modification time More...
unsigned | m_clsid [4]
| four uint32_t: the clsid data More...

## Constructor & Destructor Documentation

## ◆ DirInfo()

libwps_OLE::DirInfo::DirInfo | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasCLSId()

bool libwps_OLE::DirInfo::hasCLSId | ( |  | ) | const
| inline

returns true if the clsid field is filed

## Member Data Documentation

## ◆ m_clsid

unsigned libwps_OLE::DirInfo::m_clsid[4]

four uint32_t: the clsid data

Referenced by DirInfo(), and hasCLSId().

## ◆ m_time

unsigned libwps_OLE::DirInfo::m_time[4]

four uint32_t : the first two used for creation, the last for modification time

Referenced by DirInfo().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp